Bug 14203 - koha-translate error string for non-existent lang removal
Summary: koha-translate error string for non-existent lang removal
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Indranil Das Gupta
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-14 19:24 UTC by Indranil Das Gupta
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14203 - Message for non-existent lang removal (1.34 KB, patch)
2015-05-14 19:47 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14203 - Message for non-existent lang removal (1.42 KB, patch)
2015-05-14 20:57 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14203 - Message for non-existent lang removal (1.47 KB, patch)
2015-05-22 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 14203 - Message for non-existent lang removal (1.47 KB, patch)
2015-05-22 14:55 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Indranil Das Gupta 2015-05-14 19:24:56 UTC
An attempt to remove a language that is not installed shows the message:

"Error: the selected language is not already installed."

I feel that it will be nicer to just have "Error: the selected language is not installed."
Comment 1 Indranil Das Gupta 2015-05-14 19:47:54 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-05-14 20:57:06 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-05-22 14:52:00 UTC
Created attachment 39422 [details] [review]
Bug 14203 - Message for non-existent lang removal

A trivial string patch to update the error message displayed to
user if koha-translate is used to attempt removal of a language
that is not installed.

Test plan
=========

1/ attempt to remove a non-existent language by
   <installdir>/debian/scripts/koha-translate --remove <langcode>
2/ it should show "Error: the selected language is not already
   installed."
3/ apply patch
4/ repeat step 1; it should show "Error: the selected language is
   not installed."

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Kyle M Hall 2015-05-22 14:55:03 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2015-05-22 14:55:38 UTC
Comment on attachment 39423 [details] [review]
[PASSED QA] Bug 14203 - Message for non-existent lang removal

Obsoleting because Jonathan beat me to it!
Comment 6 Tomás Cohen Arazi 2015-05-26 14:07:07 UTC
Patch pushed to master.

Thanks Indranil!
Comment 7 Chris Cormack 2015-05-27 08:09:59 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 8 Liz Rea 2015-06-22 22:36:31 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 9 Mason James 2015-07-25 09:45:41 UTC
Pushed to 3.16.x, will be in 3.16.13